# RPM specfile for gnome-icon-theme module
# Generated Tue Nov 18 20:33:11 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.7.4.2 2003/11/13 03:44:15 mibarra Exp $

%define nam	gnome-icon-theme
%define ver	1.0.9
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	2

Name:     	gnome-icon-theme
Version: 	1.0.9
Release:	0.ximian.6.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Source0:	gnome-icon-theme-1.0.9.tar.bz2
Patch0:		gnome-icon-theme-de.po.patch
Summary:	Default GNOME icon theme
Group:		User Interface/X
Provides:	gnome-icon-theme = %{PACKAGE_VERSION}
Provides:	ximian-gnome-icon-theme = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
The default GNOME icon theme provides filesystem and application icons for the GNOME desktop.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/usr/share/icons/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-icon-theme-1.0.9
    ;;
all)
%setup  -q -n gnome-icon-theme-1.0.9
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Nov 18 2003 Ximian, Inc.

- Version: 1.0.9-0.ximian.6.2
- Summary: New build.
- New automated build.

* Thu May 22 2003 Ximian, Inc.

- Version: 1.0.3-0.ximian.5.1
- Summary: New build.
- New automated build.

* Wed Apr 2 2003 Ximian, Inc.

- Version: 1.0.2-0.ximian.1
- Summary: New build.
- New automated build.

* Thu Mar 20 2003 Ximian, Inc.

- Version: 1.0.0-1.ximian.2
- Summary: New build.
- New automated build.

* Mon Jan 20 2003 Ximian, Inc.

- Version: 0.1.5-1.ximian.1
- Summary: New build.
- New automated build.

